
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIEngine complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIEngine"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="No4" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No5" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="P1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="P2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="P3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIEngine", propOrder = {
    "no4",
    "no5",
    "p1",
    "p2",
    "p3"
})
public class WSRCIIEngine {

    @XmlElement(name = "No4", nillable = true)
    protected String no4;
    @XmlElement(name = "No5", nillable = true)
    protected String no5;
    @XmlElement(name = "P1", nillable = true)
    protected String p1;
    @XmlElement(name = "P2", nillable = true)
    protected String p2;
    @XmlElement(name = "P3", nillable = true)
    protected String p3;

    /**
     * Gets the value of the no4 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo4() {
        return no4;
    }

    /**
     * Sets the value of the no4 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo4(String value) {
        this.no4 = value;
    }

    /**
     * Gets the value of the no5 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo5() {
        return no5;
    }

    /**
     * Sets the value of the no5 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo5(String value) {
        this.no5 = value;
    }

    /**
     * Gets the value of the p1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getP1() {
        return p1;
    }

    /**
     * Sets the value of the p1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setP1(String value) {
        this.p1 = value;
    }

    /**
     * Gets the value of the p2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getP2() {
        return p2;
    }

    /**
     * Sets the value of the p2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setP2(String value) {
        this.p2 = value;
    }

    /**
     * Gets the value of the p3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getP3() {
        return p3;
    }

    /**
     * Sets the value of the p3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setP3(String value) {
        this.p3 = value;
    }

    public WSRCIIEngine withNo4(String value) {
        setNo4(value);
        return this;
    }

    public WSRCIIEngine withNo5(String value) {
        setNo5(value);
        return this;
    }

    public WSRCIIEngine withP1(String value) {
        setP1(value);
        return this;
    }

    public WSRCIIEngine withP2(String value) {
        setP2(value);
        return this;
    }

    public WSRCIIEngine withP3(String value) {
        setP3(value);
        return this;
    }

}
